Summary: Basic requirement for icon themes
Name: hicolor-icon-theme
Version: 0.8
Release: 2 
License: GPL
Group: User Interface/Desktops
URL: http://freedesktop.org/Software/icon-theme
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch

Prereq: gtk2 >= 2.6.0

%description
Contains the basic directories and files needed for icon theme support.

%prep
%setup -q

%build

%configure
 
%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT PREFIX=/usr install

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README
%{_datadir}/icons/hicolor

%changelog
* Tue Apr 19 2005 Matthias Clasen <mclasen@redhat.com> 0.8-2
- Silence %%post

* Thu Apr 14 2005 John (J5) Palmieri <johnp@redhat.com>
- Update to 0.8

* Mon Mar 28 2005 Christopher Aillon <caillon@redhat.com>
- rebuilt

* Fri Mar 25 2005 Christopher Aillon <caillon@redhat.com> 0.7-2
- Update the GTK+ theme icon cache on (un)install

* Fri Feb  4 2005 Alexander Larsson <alexl@redhat.com> - 0.7-1
- Update to 0.7

* Wed Feb  2 2005 Alexander Larsson <alexl@redhat.com> - 0.6-1
- Update to 0.6

* Thu Jan 27 2005 Matthias Clasen <mclasen@redhat.com> - 0.5-1
- Update to 0.5

* Wed Sep 29 2004 GNOME <jrb@redhat.com> - 0.3-3
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Feb  4 2004 Alexander Larsson <alexl@redhat.com> 0.3-1
- update to 0.3

* Fri Jan 16 2004 Alexander Larsson <alexl@redhat.com> 0.2-1
- Initial build.


